Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasypt.spring31.xml.encryption
Class DigesterFactoryBean

    Object
      org.jasypt.spring31.xml.encryption.DigesterFactoryBean

All Implemented Interfaces:
  org.springframework.beans.factory.FactoryBean<Object>, org.springframework.beans.factory.InitializingBean

    public final class DigesterFactoryBean

extends Object
implements org.springframework.beans.factory.FactoryBean<Object>, org.springframework.beans.factory.InitializingBean

Factory bean for creating digester objects from the `encryption` namespace elements. Do not use directly.

Since:
  1.9.0
Author:
  Daniel Fernández

Constructor Summary
`DigesterFactoryBean(int encryptorType)`

Method Summary
`void` | `afterPropertiesSet()`
`Object` | `getObject()`
`Class<?>` | `getObjectType()`
`boolean` | `isSingleton()`
`void` | `setAlgorithm(String algorithm)`
`void` | `setConfig(org.jasypt.digest.config.DigesterConfig config)`
`void` | `setInvertPositionOfPlainSaltInEncryptionResults(Boolean invertPositionOfPlainSaltInEncryptionResults)`
`void` | `setInvertPositionOfSaltInMessageBeforeDigesting(Boolean invertPositionOfSaltInMessageBeforeDigesting)`
`void` | `setIterations(Integer iterations)`
`void` | `setPoolSize(Integer poolSize)`
`void` | `setPrefix(String prefix)`
`void` | `setProvider(Provider provider)`
`void` | `setProviderName(String providerName)`
`void` | `setSaltGenerator(org.jasypt.salt.SaltGenerator saltGenerator)`
`void` | `setSaltSizeBytes(Integer saltSizeBytes)`
`void` | `setSingleton(boolean singleton)`
`void` | `setStringOutputType(String stringOutputType)`
`void` | `setSuffix(String suffix)`
`void` | `setUnicodeNormalizationIgnored(Boolean unicodeNormalizationIgnored)`
`void` | `setUseLenientSaltSizeCheck(Boolean useLenientSaltSizeCheck)`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DigesterFactoryBean

    public DigesterFactoryBean(int encryptorType)

Method Detail

### setSingleton

    public final void setSingleton(boolean singleton)

### isSingleton

    public final boolean isSingleton()

  Specified by:
    `isSingleton` in interface `org.springframework.beans.factory.FactoryBean<Object>`

### setAlgorithm

    public void setAlgorithm(String algorithm)

### setConfig

    public void setConfig(org.jasypt.digest.config.DigesterConfig config)

### setIterations

    public void setIterations(Integer iterations)

### setPoolSize

    public void setPoolSize(Integer poolSize)

### setProvider

    public void setProvider(Provider provider)

### setProviderName

    public void setProviderName(String providerName)

### setSaltGenerator

    public void setSaltGenerator(org.jasypt.salt.SaltGenerator saltGenerator)

### setInvertPositionOfPlainSaltInEncryptionResults

    public void setInvertPositionOfPlainSaltInEncryptionResults(Boolean invertPositionOfPlainSaltInEncryptionResults)

### setInvertPositionOfSaltInMessageBeforeDigesting

    public void setInvertPositionOfSaltInMessageBeforeDigesting(Boolean invertPositionOfSaltInMessageBeforeDigesting)

### setSaltSizeBytes

    public void setSaltSizeBytes(Integer saltSizeBytes)

### setUseLenientSaltSizeCheck

    public void setUseLenientSaltSizeCheck(Boolean useLenientSaltSizeCheck)

### setStringOutputType

    public void setStringOutputType(String stringOutputType)

### setUnicodeNormalizationIgnored

    public void setUnicodeNormalizationIgnored(Boolean unicodeNormalizationIgnored)

### setPrefix

    public void setPrefix(String prefix)

### setSuffix

    public void setSuffix(String suffix)

### afterPropertiesSet

    public final void afterPropertiesSet()
                                  throws Exception

  Specified by:
    `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`
  Throws:
    `Exception`

### getObject

    public Object getObject()
                     throws Exception

  Specified by:
    `getObject` in interface `org.springframework.beans.factory.FactoryBean<Object>`
  Throws:
    `Exception`

### getObjectType

    public Class<?> getObjectType()

  Specified by:
    `getObjectType` in interface `org.springframework.beans.factory.FactoryBean<Object>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014 The JASYPT team. All Rights Reserved.